## net.sf.saxon.sort
Interface Sortable

All Known Implementing Classes:
  DocumentOrderIterator, SortedGroupIterator, SortedIterator, SortedTupleIterator

    public interface Sortable

A Sortable is an object that can be sorted using the QuickSort method.

Author:
  Michael H. Kay

Method Summary
`int` `compare(int a, int b)` Compare two objects within this Sortable, identified by their position.
`void` `swap(int a, int b)` Swap two objects within this Sortable, identified by their position.

Method Detail

### compare

    int compare(int a,
                int b)

  Compare two objects within this Sortable, identified by their position.

  Returns:
    <0 if obj[a]<obj[b], 0 if obj[a]=obj[b], >0 if obj[a]>obj[b]

### swap

    void swap(int a,
              int b)

  Swap two objects within this Sortable, identified by their position.

Copyright (C) Michael H. Kay. All rights reserved.